# Preview
![Preview](https://cdn.discordapp.com/attachments/954473402800934962/958523597641613402/unknown.png)
![Preview](https://media.discordapp.net/attachments/954473402800934962/1092949849017696256/image.png)


# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][passive] | Passive: Center of the Universe | Aurelion Sol can fly at will and is permanently orbited by 3 stars. [ Celestial Expansion ] toggle the stars between close and expanded range, when a star hits an enemy it deals 300/600% damage. The star's rotation speed scales with attack speed. |
| ![][passiveAlt] | Passive Alt: Cosmic Creator | Aurelion Sol can fly at will and his abilities break his foes down to stardust, stacks of stardust empower his abilities in various ways. |
| ![][primary] | Primary: Solar Flare | Aurelion Sol exhales a cluster of starfire close to him, dealing 250% damage. This attack also sends a single, weaker but long range projectile where aimed dealing 200% damage. Both hits apply a stack of ignite. [ Cosmic Creator ] Hits with the fire breath collect stardust<. Attack speed and damage is increased with stardust. |
| ![][primaryAlt] | Primary Alt: Breath of Light | Exhale a beam of starfire, dealing 20% damage every 0.125 seconds to the first enemy hit, with reduced splash damage. Every second the beam hits the same target, it'll burst, dealing 150% damage in an aoe. Attack speed increases damage. [ Cosmic Creator ] The bursts collect stardust. Stardust increases the burst's damage. |
| ![][secondary] | Secondary: Starsurge | Aurelion Sol channels a newborn star which travels in the target direction. When recast or it strays too far away from aurelion it detonates, stunning and dealing 400%, increasing with distance travelled. [ Cosmic Creator ] Damage with distance is increased. |
| ![][secondaryAlt] | Secondary Alt: Singularity | Aurelion Sol conjures a black hole, dragging enemies towards the centre and dealing 20% damage every 0.25 seconds for 5 seconds, increased to 30% in the centre. Enemies that die in the black hole are counted as Aurelion Sol killing them. [ Cosmic Creator ] Enemies that die in the black hole grant 1 stardust each. The effect radius increases with stardust. |
| ![][utility] | Utility: Comet of Legend | Aurelion Sol flies in a burst of speed in the direction aimed, the speed and distance scales with movement speed. If Starsurge is currently active or is cast during Comet of Legend, it will center itself on Aurelion Sol while he travels. Can be cancelled by pressing Space. Can be cancelled at any time by pressing Jump. [ Cosmic Creator ] Maximum travel distance is increased further with stardust. |
| ![][utilityAlt] | Utility Alt: Dragonflight | Dash after a brief, while dashing, gain +20% damage. The trajectory can be influenced with directional keys, can be cancelled early by pressing jump. [ Cosmic Creator ] Duration increases with stardust. |
| ![][special] | Special: Voice of Light | Aurelion Sol pulls all nearby enemies to Center of the universe's expanded radius then exhales a beam of starfire in the target direction dealing 1000% damage. [ Cosmic Creator ] Collects stardust on kill. Damage and length of the blast is increased with stardust. |
| ![][specialAlt] | Special Alt: Falling Star | Call down a star to impact the target location after 1.25 seconds, dealing 500% damage to enemies hit and stunning them for 1s. [ Cosmic Creator ] Falling Star grants 1 stardust for each enemy hit. Damage and effect radius increase with stardust, at 900 stardust this skill permanently becomes [ The Skies Descend ] |
| ![][specialAlt2] | Special Alt Empowered: The Skies Descend | Aurelion Sol summons an enormous star to impact the target location after 2 seconds, dealing 3000% damage damage to enemies hit and stunning them for 1s, upon impact, a massive shockwave rapidly expands through the map, dealing 1800% damage to anything caught and slowing them. [ Cosmic Creator ] Effect radius, shockwave travel distance and damage are all increased with stardust. |

[passive]: https://cdn.discordapp.com/attachments/954473402800934962/957310787863597136/aurelionsol_w_starsout.png
[primary]: https://cdn.discordapp.com/attachments/954473402800934962/957310786554961930/aurelionsol_passive.png
[secondary]: https://cdn.discordapp.com/attachments/954473402800934962/957310786743697448/aurelionsol_q.png
[utility]: https://cdn.discordapp.com/attachments/954473402800934962/957310788115247184/aurelionsol_e_fly.png
[special]: https://cdn.discordapp.com/attachments/954473402800934962/957310787473506374/aurelionsol_r.png

[passiveAlt]: https://media.discordapp.net/attachments/749076478146117733/1100543997698641940/aurelionsolp.asolgu.png
[primaryAlt]: https://media.discordapp.net/attachments/749076478146117733/1100544365954355211/aurelionsolq.asolgu.png
[secondaryAlt]: https://media.discordapp.net/attachments/749076478146117733/1100543997241458728/aurelionsol_q_explode.png
[utilityAlt]: https://media.discordapp.net/attachments/749076478146117733/1100543997929324615/aurelionsolw1.asolgu.png
[specialAlt]: https://media.discordapp.net/attachments/749076478146117733/1100543998722048041/aurelionsolr1.asolgu.png 
[specialAlt2]: https://media.discordapp.net/attachments/749076478146117733/1100543998168420382/aurelionsolr2.asolgu.png

# Team
This team is my commissions account. It is a team due to how Thunderstore manages upload accounts, however, it is only run by me (Dragonyck). 

If you wanna check my personal projects, they're on my main account:

[![plug](https://cdn.discordapp.com/attachments/749076478146117733/1014954008059842720/unknown.png)](https://thunderstore.io/package/Dragonyck/)

Discord Contact: Dragonyck#4653

Other projects I developed:

| Koko's Item Box | Super Void Barnacle | Spearman | Katarina V2 Skills |
| ------------- | ------------- | ------------- | ------------- |
| [![][koko]](https://thunderstore.io/package/SeizaKokoro/KokosItemBox/) | [![][svb]](https://thunderstore.io/package/Contraplayingmodded/SuperVoidBarnacle/) | [![][spear]](https://thunderstore.io/package/SaucySquash/Spearman/) | [![][kata]](https://thunderstore.io/package/Nines/Katarina/) |

[koko]: https://gcdn.thunderstore.io/live/repository/icons/SeizaKokoro-KokosItemBox-1.0.6.png.128x128_q95.png
[svb]: https://gcdn.thunderstore.io/live/repository/icons/Contraplayingmodded-SuperVoidBarnacle-1.0.9.png.128x128_q95.png
[spear]: https://gcdn.thunderstore.io/live/repository/icons/SaucySquash-Spearman-1.0.6.png.128x128_q95.png
[kata]: https://gcdn.thunderstore.io/live/repository/icons/Nines-Katarina-2.2.0.png.128x128_q95.jpg

# Installation

R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Aurelion" dll to your plugins folder

3 - Have fun!

# Credits

Gorethog - PROJECT skin.

Dragonyck - Mod Author.

Mary - Extremely helpful bug testing, overall balance and for commissioning this awesome mod. 

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

# Changelog
`2.0.3`
- Reinforced minion ownership checks.

`2.0.2`
- Increased interaction distance.

`2.0.1`
- Resized main collider so it helps with the terrain collision, reducing the chance of clipping. At extremely high movement speeds while using the utilities, you'll still clip through.

`2.0.0`
- Changed locomotion motor to RigidMotor, making Aurelion a fully functional airborne entity.
- New alt skill set, including a new alt passive that bonuses to both new and original skill set.
- Voice of Light pull range 45 => 20. 
- Comet of Legend
  - Increased speed
  - Decreased duration
  - Increased cooldown 4 => 6
- Center of the Universe
  - Now properly networked, and some back end improvements
  - Damage adjusted 300-600% => 500%

`1.1.0`
- Survivor unlock interactable no longer needs to be interacted by every single player. It *should* unlock for all players in the session. *NOTE:* This needs some testing on real multiplayer connections, bc I physically can't properly debug this on my machine.
- Achievements have been rewritten to use the vanilla method. *Should* be better for multiplayer sessions. *NOTE:* Due to the achievement update the keys have changed, so you'll have to unlock everything again.

`1.0.7`
- Fixed some issues with M2 for clients.

`1.0.6`
- UNET Patch

`1.0.5`
- Fixed M2 acting weird for clients.
- Fixed M1 effect not spawning for clients.
- Reinforced some unlockable condition checks to avoid issues.

`1.0.4`
- Interactable can now be reused.

`1.0.3`
- Fixed readme skill description.

`1.0.2`
- Fixed unlock interactable not spawning if the host already had him unlocked.

`1.0.1`
- Updated Utility description.

`1.0.0`
- Release
